# -*- Mode: Python -*-
# -*- coding: ascii -*-

"""
Script by Luca Burchietti - 3skel.it / Based on exemples of Lightwave PYTHON SCRIPT
"""

"""
This script merges only the surfaces with same surface name
"""

try:
    from lwsdk import Vector, ModCommand, EDERR_NONE
    from lwsdk.pris.modeler import init, nextsurface, mergepoints, selpolygon

except ImportError:
    raise Exception("The LightWave Python module could not be loaded.")

if not init(ModCommand()):
    raise Exception('Failed to initialize PRIS')

surface = nextsurface()
while surface is not None:
	print surface
	selpolygon('set', 'surface', surface)
	mergepoints(tolerance=0)
	selpolygon('clear', 'surface', surface)
	surface = nextsurface(surface)